FacetedBrep Class

The FacetedBrep class defines a faceted BREP.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Geometry3d
Assembly:  Tekla.Structures (in Tekla.Structures.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public class FacetedBrep

The FacetedBrep type exposes the following members.

Constructors
  NameDescription
Public methodFacetedBrep(Vector, Int32, IDictionaryInt32, Int32)
Initializes a new instance of the FacetedBrep class.
Public methodFacetedBrep(Vector, Int32, IDictionaryInt32, Int32, IListIndirectPolymeshEdge)
Initializes a new instance of the FacetedBrep class.
Top
Properties
  NameDescription
Public propertyFaces
Gets the faces.
Public propertyGetEdges
Gets the edges.
Public propertyInnerWires
Gets the inner wires.
Public propertyOuterWires
Gets the outer wires.
Public propertyVertices
Gets the vertices.
Top
Methods
  NameDescription
Public methodCheckForTwoManifold
Gets a value indicating whether this instance is 2-manifold.
Public methodGetInnerFace
Gets the inner face at the specified index.
Public methodGetInnerFaceCount
Gets the inner face count of the outer face at the specified index.
Public methodGetOuterFace
Gets the outer face at the specified index.
Top
Examples
using Tekla.Structures.Geometry3d;

public class Example
{
    public void Example1()
    {
        var vertex = new[]
        {
            new Vector(0.0, 0.0, 0.0), // 0
            new Vector(300.0, 0.0, 0.0), // 1
            new Vector(300.0, 700.0, 0.0), // 2
            new Vector(0.0, 700.0, 0.0), // 3
            new Vector(300.0, 700.0, 0.0), // 4
            new Vector(300.0, 700.0, 2000.0), // 5
            new Vector(0.0, 700.0, 2000.0), // 6
            new Vector(100.0, 100.0, 0.0), // 7
            new Vector(200.0, 100.0, 0.0), // 8
            new Vector(200.0, 200.0, 0.0), // 9
            new Vector(100.0, 200.0, 0.0) // 10
        };
        var outerWires = new[]
        {
            new[] { 0, 1, 2, 3 },
            new[] { 3, 4, 5, 6 }
        };
        var innerWires = new Dictionary<int,int[][]>
        {
            { 0, new[] { new[] { 10, 9, 8, 7 } } }
        };

        var brep = new FacetedBrep(vertex, outerWires, innerWires);
        Console.WriteLine("This BREP has {0} faces", brep.Faces.Count);
    }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next